# Pan Card

PAN card verification is to ensure the user's identity is authentic and that they are legally authorised to conduct business. It helps in complying with regulatory requirements, preventing fraudulent activities, ensuring legal compliance and report suspicious transactions to the authorities.

## Submit Document

### ind\_pan

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_pan`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description     |
| -------------- | ------ | ------------ | --------------- |
| pan\_number    | String | Yes          | Your Pan Number |

#### Sample Post Parameters

```json
{
    "pan_number": "AAJCT3251A"
}
```

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "a668181e-5dd3-4b99-9a86-14a87677d2b1",
    "status": "completed",
    "result": {
        "document_number": "AAJCT3251A",
        "name_on_document": "  TUTELAR FINTECH PRIVATE LIMITED",
        "first_name": "",
        "last_name": "TUTELAR FINTECH PRIVATE LIMITED",
        "middle_name": "",
        "mobile_number": null,
        "date_of_birth": null,
        "gender": null,
        "state": null,
        "source": null,
        "aadhaar_seeding_status": false
    },
    "requested_at": "2024-04-22T07:33:10.165Z",
    "completed_at": "2024-04-22T07:33:11.536Z"
}
```

### 200: InProgress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2024-04-18T09:26:36.780Z"
}
```

### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "failed",
    "error": {
        "message": "Pan Number Not Found",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T09:24:03.268Z",
    "completed_at": "2024-04-18T09:24:04.471Z"
}
```

## Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_pan`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "a668181e-5dd3-4b99-9a86-14a87677d2b1",
    "status": "completed",
    "result": {
        "document_number": "AAJCT3251A",
        "name_on_document": "  TUTELAR FINTECH PRIVATE LIMITED",
        "first_name": "",
        "last_name": "TUTELAR FINTECH PRIVATE LIMITED",
        "middle_name": "",
        "mobile_number": null,
        "date_of_birth": null,
        "gender": null,
        "state": null,
        "source": null,
        "aadhaar_seeding_status": false
    },
    "requested_at": "2024-04-22T07:33:10.165Z",
    "completed_at": "2024-04-22T07:33:11.536Z"
}
```

### 200: InProgress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2024-04-18T09:26:36.780Z"
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T09:07:31.255Z",
    "completed_at": "2024-04-18T09:07:32.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/pan-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
